JaxbHibernateMapping.JaxbClass (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbHibernateMapping.JaxbClass

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbHibernateMapping.JaxbClass

All Implemented Interfaces:
  EntityElement, JoinElementSource, MetaAttributeContainer

Enclosing class:
  JaxbHibernateMapping

    public static class JaxbHibernateMapping.JaxbClass

extends Object
implements EntityElement, JoinElementSource

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="subselect" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="cache" type="{http://www.hibernate.org/xsd/hibernate-mapping}cache-element" minOccurs="0"/>
             <element name="synchronize" type="{http://www.hibernate.org/xsd/hibernate-mapping}synchronize-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="comment" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="tuplizer" type="{http://www.hibernate.org/xsd/hibernate-mapping}tuplizer-element" maxOccurs="unbounded" minOccurs="0"/>
             <choice>
               <element name="id">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
                         <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element" maxOccurs="unbounded" minOccurs="0"/>
                         <element name="type" type="{http://www.hibernate.org/xsd/hibernate-mapping}type-element" minOccurs="0"/>
                         <element name="generator" type="{http://www.hibernate.org/xsd/hibernate-mapping}generator-element" minOccurs="0"/>
                       </sequence>
                       <attribute name="access" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="length" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="unsaved-value" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="composite-id">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
                         <choice maxOccurs="unbounded">
                           <element name="key-property" type="{http://www.hibernate.org/xsd/hibernate-mapping}key-property-element"/>
                           <element name="key-many-to-one" type="{http://www.hibernate.org/xsd/hibernate-mapping}key-many-to-one-element"/>
                         </choice>
                         <element name="generator" type="{http://www.hibernate.org/xsd/hibernate-mapping}generator-element" minOccurs="0"/>
                       </sequence>
                       <attribute name="access" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="class" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="mapped" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
                       <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="unsaved-value" default="undefined">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                             <enumeration value="any"/>
                             <enumeration value="none"/>
                             <enumeration value="undefined"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </choice>
             <element name="discriminator" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <choice minOccurs="0">
                         <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element"/>
                         <element name="formula" type="{http://www.w3.org/2001/XMLSchema}string"/>
                       </choice>
                     </sequence>
                     <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="force" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
                     <attribute name="formula" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="insert" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
                     <attribute name="length" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="not-null" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
                     <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" default="string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="natural-id" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <choice maxOccurs="unbounded" minOccurs="0">
                         <element name="property" type="{http://www.hibernate.org/xsd/hibernate-mapping}property-element"/>
                         <element name="many-to-one" type="{http://www.hibernate.org/xsd/hibernate-mapping}many-to-one-element"/>
                         <element name="component" type="{http://www.hibernate.org/xsd/hibernate-mapping}component-element"/>
                         <element name="dynamic-component" type="{http://www.hibernate.org/xsd/hibernate-mapping}dynamic-component-element"/>
                         <element name="any" type="{http://www.hibernate.org/xsd/hibernate-mapping}any-element"/>
                       </choice>
                     </sequence>
                     <attribute name="mutable" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <choice minOccurs="0">
               <element name="version">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
                         <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                       <attribute name="access" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="generated" type="{http://www.hibernate.org/xsd/hibernate-mapping}generated-attribute" default="never" />
                       <attribute name="insert" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                       <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" default="integer" />
                       <attribute name="unsaved-value" default="undefined">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                             <enumeration value="negative"/>
                             <enumeration value="null"/>
                             <enumeration value="undefined"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="timestamp">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                       <attribute name="access" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="generated" type="{http://www.hibernate.org/xsd/hibernate-mapping}generated-attribute" default="never" />
                       <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="source" default="vm">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                             <enumeration value="db"/>
                             <enumeration value="vm"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                       <attribute name="unsaved-value" default="null">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                             <enumeration value="null"/>
                             <enumeration value="undefined"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </choice>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="property" type="{http://www.hibernate.org/xsd/hibernate-mapping}property-element"/>
               <element name="many-to-one" type="{http://www.hibernate.org/xsd/hibernate-mapping}many-to-one-element"/>
               <element name="one-to-one" type="{http://www.hibernate.org/xsd/hibernate-mapping}one-to-one-element"/>
               <element name="component" type="{http://www.hibernate.org/xsd/hibernate-mapping}component-element"/>
               <element name="dynamic-component" type="{http://www.hibernate.org/xsd/hibernate-mapping}dynamic-component-element"/>
               <element name="properties" type="{http://www.hibernate.org/xsd/hibernate-mapping}properties-element"/>
               <element name="any" type="{http://www.hibernate.org/xsd/hibernate-mapping}any-element"/>
               <element name="map" type="{http://www.hibernate.org/xsd/hibernate-mapping}map-element"/>
               <element name="set" type="{http://www.hibernate.org/xsd/hibernate-mapping}set-element"/>
               <element name="list" type="{http://www.hibernate.org/xsd/hibernate-mapping}list-element"/>
               <element name="bag" type="{http://www.hibernate.org/xsd/hibernate-mapping}bag-element"/>
               <element name="idbag" type="{http://www.hibernate.org/xsd/hibernate-mapping}idbag-element"/>
               <element name="array" type="{http://www.hibernate.org/xsd/hibernate-mapping}array-element"/>
               <element name="primitive-array" type="{http://www.hibernate.org/xsd/hibernate-mapping}primitive-array-element"/>
             </choice>
             <choice>
               <sequence>
                 <element name="join" type="{http://www.hibernate.org/xsd/hibernate-mapping}join-element" maxOccurs="unbounded" minOccurs="0"/>
                 <element name="subclass" type="{http://www.hibernate.org/xsd/hibernate-mapping}subclass-element" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <element name="joined-subclass" type="{http://www.hibernate.org/xsd/hibernate-mapping}joined-subclass-element" maxOccurs="unbounded" minOccurs="0"/>
               <element name="union-subclass" type="{http://www.hibernate.org/xsd/hibernate-mapping}union-subclass-element" maxOccurs="unbounded" minOccurs="0"/>
             </choice>
             <element name="loader" type="{http://www.hibernate.org/xsd/hibernate-mapping}loader-element" minOccurs="0"/>
             <element name="sql-insert" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-insert-element" minOccurs="0"/>
             <element name="sql-update" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-update-element" minOccurs="0"/>
             <element name="sql-delete" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-delete-element" minOccurs="0"/>
             <element name="filter" type="{http://www.hibernate.org/xsd/hibernate-mapping}filter-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="fetch-profile" type="{http://www.hibernate.org/xsd/hibernate-mapping}fetch-profile-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="resultset" type="{http://www.hibernate.org/xsd/hibernate-mapping}resultset-element" maxOccurs="unbounded" minOccurs="0"/>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="query" type="{http://www.hibernate.org/xsd/hibernate-mapping}query-element"/>
               <element name="sql-query" type="{http://www.hibernate.org/xsd/hibernate-mapping}sql-query-element"/>
             </choice>
           </sequence>
           <attribute name="abstract" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="catalog" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="check" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="discriminator-value" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="dynamic-insert" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="dynamic-update" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="entity-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="lazy" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="mutable" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="optimistic-lock" default="version">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                 <enumeration value="all"/>
                 <enumeration value="dirty"/>
                 <enumeration value="none"/>
                 <enumeration value="version"/>
               </restriction>
             </simpleType>
           </attribute>
           <attribute name="persister" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="polymorphism" default="implicit">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                 <enumeration value="explicit"/>
                 <enumeration value="implicit"/>
               </restriction>
             </simpleType>
           </attribute>
           <attribute name="proxy" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="rowid" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="schema" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="select-before-update" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="subselect" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="table" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="where" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `JaxbHibernateMapping.JaxbClass.JaxbCompositeId` Java class for anonymous complex type.
`static class` | `JaxbHibernateMapping.JaxbClass.JaxbDiscriminator` Java class for anonymous complex type.
`static class` | `JaxbHibernateMapping.JaxbClass.JaxbId` Java class for anonymous complex type.
`static class` | `JaxbHibernateMapping.JaxbClass.JaxbNaturalId` Java class for anonymous complex type.
`static class` | `JaxbHibernateMapping.JaxbClass.JaxbTimestamp` Java class for anonymous complex type.
`static class` | `JaxbHibernateMapping.JaxbClass.JaxbVersion` Java class for anonymous complex type.

Field Summary
`protected Boolean` | `_abstract`
`protected String` | `batchSize`
`protected JaxbCacheElement` | `cache`
`protected String` | `catalog`
`protected String` | `check`
`protected String` | `comment`
`protected JaxbHibernateMapping.JaxbClass.JaxbCompositeId` | `compositeId`
`protected JaxbHibernateMapping.JaxbClass.JaxbDiscriminator` | `discriminator`
`protected String` | `discriminatorValue`
`protected Boolean` | `dynamicInsert`
`protected Boolean` | `dynamicUpdate`
`protected String` | `entityName`
`protected List<JaxbFetchProfileElement>` | `fetchProfile`
`protected List<JaxbFilterElement>` | `filter`
`protected JaxbHibernateMapping.JaxbClass.JaxbId` | `id`
`protected List<JaxbJoinElement>` | `join`
`protected List<JaxbJoinedSubclassElement>` | `joinedSubclass`
`protected Boolean` | `lazy`
`protected JaxbLoaderElement` | `loader`
`protected List<JaxbMetaElement>` | `meta`
`protected Boolean` | `mutable`
`protected String` | `name`
`protected JaxbHibernateMapping.JaxbClass.JaxbNaturalId` | `naturalId`
`protected String` | `node`
`protected String` | `optimisticLock`
`protected String` | `persister`
`protected String` | `polymorphism`
`protected List<Object>` | `propertyOrManyToOneOrOneToOne`
`protected String` | `proxy`
`protected List<Object>` | `queryOrSqlQuery`
`protected List<JaxbResultsetElement>` | `resultset`
`protected String` | `rowid`
`protected String` | `schema`
`protected Boolean` | `selectBeforeUpdate`
`protected JaxbSqlDeleteElement` | `sqlDelete`
`protected JaxbSqlInsertElement` | `sqlInsert`
`protected JaxbSqlUpdateElement` | `sqlUpdate`
`protected List<JaxbSubclassElement>` | `subclass`
`protected String` | `subselect`
`protected String` | `subselectAttribute`
`protected List<JaxbSynchronizeElement>` | `synchronize`
`protected String` | `table`
`protected JaxbHibernateMapping.JaxbClass.JaxbTimestamp` | `timestamp`
`protected List<JaxbTuplizerElement>` | `tuplizer`
`protected List<JaxbUnionSubclassElement>` | `unionSubclass`
`protected JaxbHibernateMapping.JaxbClass.JaxbVersion` | `version`
`protected String` | `where`

Constructor Summary
`JaxbHibernateMapping.JaxbClass()`

Method Summary
`String` | `getBatchSize()` Gets the value of the batchSize property.
`JaxbCacheElement` | `getCache()` Gets the value of the cache property.
`String` | `getCatalog()` Gets the value of the catalog property.
`String` | `getCheck()` Gets the value of the check property.
`String` | `getComment()` Gets the value of the comment property.
`JaxbHibernateMapping.JaxbClass.JaxbCompositeId` | `getCompositeId()` Gets the value of the compositeId property.
`JaxbHibernateMapping.JaxbClass.JaxbDiscriminator` | `getDiscriminator()` Gets the value of the discriminator property.
`String` | `getDiscriminatorValue()` Gets the value of the discriminatorValue property.
`String` | `getEntityName()` Gets the value of the entityName property.
`List<JaxbFetchProfileElement>` | `getFetchProfile()` Gets the value of the fetchProfile property.
`List<JaxbFilterElement>` | `getFilter()` Gets the value of the filter property.
`JaxbHibernateMapping.JaxbClass.JaxbId` | `getId()` Gets the value of the id property.
`List<JaxbJoinElement>` | `getJoin()` Gets the value of the join property.
`List<JaxbJoinedSubclassElement>` | `getJoinedSubclass()` Gets the value of the joinedSubclass property.
`JaxbLoaderElement` | `getLoader()` Gets the value of the loader property.
`List<JaxbMetaElement>` | `getMeta()` Gets the value of the meta property.
`String` | `getName()` Gets the value of the name property.
`JaxbHibernateMapping.JaxbClass.JaxbNaturalId` | `getNaturalId()` Gets the value of the naturalId property.
`String` | `getNode()` Gets the value of the node property.
`String` | `getOptimisticLock()` Gets the value of the optimisticLock property.
`String` | `getPersister()` Gets the value of the persister property.
`String` | `getPolymorphism()` Gets the value of the polymorphism property.
`List<Object>` | `getPropertyOrManyToOneOrOneToOne()` Gets the value of the propertyOrManyToOneOrOneToOne property.
`String` | `getProxy()` Gets the value of the proxy property.
`List<Object>` | `getQueryOrSqlQuery()` Gets the value of the queryOrSqlQuery property.
`List<JaxbResultsetElement>` | `getResultset()` Gets the value of the resultset property.
`String` | `getRowid()` Gets the value of the rowid property.
`String` | `getSchema()` Gets the value of the schema property.
`JaxbSqlDeleteElement` | `getSqlDelete()` Gets the value of the sqlDelete property.
`JaxbSqlInsertElement` | `getSqlInsert()` Gets the value of the sqlInsert property.
`JaxbSqlUpdateElement` | `getSqlUpdate()` Gets the value of the sqlUpdate property.
`List<JaxbSubclassElement>` | `getSubclass()` Gets the value of the subclass property.
`String` | `getSubselect()` Gets the value of the subselect property.
`String` | `getSubselectAttribute()` Gets the value of the subselectAttribute property.
`List<JaxbSynchronizeElement>` | `getSynchronize()` Gets the value of the synchronize property.
`String` | `getTable()` Gets the value of the table property.
`JaxbHibernateMapping.JaxbClass.JaxbTimestamp` | `getTimestamp()` Gets the value of the timestamp property.
`List<JaxbTuplizerElement>` | `getTuplizer()` Gets the value of the tuplizer property.
`List<JaxbUnionSubclassElement>` | `getUnionSubclass()` Gets the value of the unionSubclass property.
`JaxbHibernateMapping.JaxbClass.JaxbVersion` | `getVersion()` Gets the value of the version property.
`String` | `getWhere()` Gets the value of the where property.
`Boolean` | `isAbstract()` Gets the value of the abstract property.
`boolean` | `isDynamicInsert()` Gets the value of the dynamicInsert property.
`boolean` | `isDynamicUpdate()` Gets the value of the dynamicUpdate property.
`Boolean` | `isLazy()` Gets the value of the lazy property.
`boolean` | `isMutable()` Gets the value of the mutable property.
`boolean` | `isSelectBeforeUpdate()` Gets the value of the selectBeforeUpdate property.
`void` | `setAbstract(Boolean value)` Sets the value of the abstract property.
`void` | `setBatchSize(String value)` Sets the value of the batchSize property.
`void` | `setCache(JaxbCacheElement value)` Sets the value of the cache property.
`void` | `setCatalog(String value)` Sets the value of the catalog property.
`void` | `setCheck(String value)` Sets the value of the check property.
`void` | `setComment(String value)` Sets the value of the comment property.
`void` | `setCompositeId(JaxbHibernateMapping.JaxbClass.JaxbCompositeId value)` Sets the value of the compositeId property.
`void` | `setDiscriminator(JaxbHibernateMapping.JaxbClass.JaxbDiscriminator value)` Sets the value of the discriminator property.
`void` | `setDiscriminatorValue(String value)` Sets the value of the discriminatorValue property.
`void` | `setDynamicInsert(Boolean value)` Sets the value of the dynamicInsert property.
`void` | `setDynamicUpdate(Boolean value)` Sets the value of the dynamicUpdate property.
`void` | `setEntityName(String value)` Sets the value of the entityName property.
`void` | `setId(JaxbHibernateMapping.JaxbClass.JaxbId value)` Sets the value of the id property.
`void` | `setLazy(Boolean value)` Sets the value of the lazy property.
`void` | `setLoader(JaxbLoaderElement value)` Sets the value of the loader property.
`void` | `setMutable(Boolean value)` Sets the value of the mutable property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setNaturalId(JaxbHibernateMapping.JaxbClass.JaxbNaturalId value)` Sets the value of the naturalId property.
`void` | `setNode(String value)` Sets the value of the node property.
`void` | `setOptimisticLock(String value)` Sets the value of the optimisticLock property.
`void` | `setPersister(String value)` Sets the value of the persister property.
`void` | `setPolymorphism(String value)` Sets the value of the polymorphism property.
`void` | `setProxy(String value)` Sets the value of the proxy property.
`void` | `setRowid(String value)` Sets the value of the rowid property.
`void` | `setSchema(String value)` Sets the value of the schema property.
`void` | `setSelectBeforeUpdate(Boolean value)` Sets the value of the selectBeforeUpdate property.
`void` | `setSqlDelete(JaxbSqlDeleteElement value)` Sets the value of the sqlDelete property.
`void` | `setSqlInsert(JaxbSqlInsertElement value)` Sets the value of the sqlInsert property.
`void` | `setSqlUpdate(JaxbSqlUpdateElement value)` Sets the value of the sqlUpdate property.
`void` | `setSubselect(String value)` Sets the value of the subselect property.
`void` | `setSubselectAttribute(String value)` Sets the value of the subselectAttribute property.
`void` | `setTable(String value)` Sets the value of the table property.
`void` | `setTimestamp(JaxbHibernateMapping.JaxbClass.JaxbTimestamp value)` Sets the value of the timestamp property.
`void` | `setVersion(JaxbHibernateMapping.JaxbClass.JaxbVersion value)` Sets the value of the version property.
`void` | `setWhere(String value)` Sets the value of the where property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### meta

    protected List<JaxbMetaElement> meta

### subselect

    protected String subselect

### cache

    protected JaxbCacheElement cache

### synchronize

    protected List<JaxbSynchronizeElement> synchronize

### comment

    protected String comment

### tuplizer

    protected List<JaxbTuplizerElement> tuplizer

### id

    protected JaxbHibernateMapping.JaxbClass.JaxbId id

### compositeId

    protected JaxbHibernateMapping.JaxbClass.JaxbCompositeId compositeId

### discriminator

    protected JaxbHibernateMapping.JaxbClass.JaxbDiscriminator discriminator

### naturalId

    protected JaxbHibernateMapping.JaxbClass.JaxbNaturalId naturalId

### version

    protected JaxbHibernateMapping.JaxbClass.JaxbVersion version

### timestamp

    protected JaxbHibernateMapping.JaxbClass.JaxbTimestamp timestamp

### propertyOrManyToOneOrOneToOne

    protected List<Object> propertyOrManyToOneOrOneToOne

### join

    protected List<JaxbJoinElement> join

### subclass

    protected List<JaxbSubclassElement> subclass

### joinedSubclass

    protected List<JaxbJoinedSubclassElement> joinedSubclass

### unionSubclass

    protected List<JaxbUnionSubclassElement> unionSubclass

### loader

    protected JaxbLoaderElement loader

### sqlInsert

    protected JaxbSqlInsertElement sqlInsert

### sqlUpdate

    protected JaxbSqlUpdateElement sqlUpdate

### sqlDelete

    protected JaxbSqlDeleteElement sqlDelete

### filter

    protected List<JaxbFilterElement> filter

### fetchProfile

    protected List<JaxbFetchProfileElement> fetchProfile

### resultset

    protected List<JaxbResultsetElement> resultset

### queryOrSqlQuery

    protected List<Object> queryOrSqlQuery

### _abstract

    protected Boolean _abstract

### batchSize

    protected String batchSize

### catalog

    protected String catalog

### check

    protected String check

### discriminatorValue

    protected String discriminatorValue

### dynamicInsert

    protected Boolean dynamicInsert

### dynamicUpdate

    protected Boolean dynamicUpdate

### entityName

    protected String entityName

### lazy

    protected Boolean lazy

### mutable

    protected Boolean mutable

### name

    protected String name

### node

    protected String node

### optimisticLock

    protected String optimisticLock

### persister

    protected String persister

### polymorphism

    protected String polymorphism

### proxy

    protected String proxy

### rowid

    protected String rowid

### schema

    protected String schema

### selectBeforeUpdate

    protected Boolean selectBeforeUpdate

### subselectAttribute

    protected String subselectAttribute

### table

    protected String table

### where

    protected String where

Constructor Detail

### JaxbHibernateMapping.JaxbClass

    public JaxbHibernateMapping.JaxbClass()

Method Detail

### getMeta

    public List<JaxbMetaElement> getMeta()

  Gets the value of the meta property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the meta property.

  For example, to add a new item, do as follows:

          getMeta().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMetaElement`

  Specified by:
    `getMeta` in interface `MetaAttributeContainer`

### getSubselect

    public String getSubselect()

  Gets the value of the subselect property.

  Returns:
    possible object is `String`

### setSubselect

    public void setSubselect(String value)

  Sets the value of the subselect property.

  Parameters:
    `value` - allowed object is `String`

### getCache

    public JaxbCacheElement getCache()

  Gets the value of the cache property.

  Returns:
    possible object is `JaxbCacheElement`

### setCache

    public void setCache(JaxbCacheElement value)

  Sets the value of the cache property.

  Parameters:
    `value` - allowed object is `JaxbCacheElement`

### getSynchronize

    public List<JaxbSynchronizeElement> getSynchronize()

  Gets the value of the synchronize property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the synchronize property.

  For example, to add a new item, do as follows:

          getSynchronize().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbSynchronizeElement`

  Specified by:
    `getSynchronize` in interface `EntityElement`

### getComment

    public String getComment()

  Gets the value of the comment property.

  Returns:
    possible object is `String`

### setComment

    public void setComment(String value)

  Sets the value of the comment property.

  Parameters:
    `value` - allowed object is `String`

### getTuplizer

    public List<JaxbTuplizerElement> getTuplizer()

  Gets the value of the tuplizer property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tuplizer property.

  For example, to add a new item, do as follows:

          getTuplizer().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbTuplizerElement`

  Specified by:
    `getTuplizer` in interface `EntityElement`

### getId

    public JaxbHibernateMapping.JaxbClass.JaxbId getId()

  Gets the value of the id property.

  Returns:
    possible object is `JaxbHibernateMapping.JaxbClass.JaxbId`

### setId

    public void setId(JaxbHibernateMapping.JaxbClass.JaxbId value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `JaxbHibernateMapping.JaxbClass.JaxbId`

### getCompositeId

    public JaxbHibernateMapping.JaxbClass.JaxbCompositeId getCompositeId()

  Gets the value of the compositeId property.

  Returns:
    possible object is `JaxbHibernateMapping.JaxbClass.JaxbCompositeId`

### setCompositeId

    public void setCompositeId(JaxbHibernateMapping.JaxbClass.JaxbCompositeId value)

  Sets the value of the compositeId property.

  Parameters:
    `value` - allowed object is `JaxbHibernateMapping.JaxbClass.JaxbCompositeId`

### getDiscriminator

    public JaxbHibernateMapping.JaxbClass.JaxbDiscriminator getDiscriminator()

  Gets the value of the discriminator property.

  Returns:
    possible object is `JaxbHibernateMapping.JaxbClass.JaxbDiscriminator`

### setDiscriminator

    public void setDiscriminator(JaxbHibernateMapping.JaxbClass.JaxbDiscriminator value)

  Sets the value of the discriminator property.

  Parameters:
    `value` - allowed object is `JaxbHibernateMapping.JaxbClass.JaxbDiscriminator`

### getNaturalId

    public JaxbHibernateMapping.JaxbClass.JaxbNaturalId getNaturalId()

  Gets the value of the naturalId property.

  Returns:
    possible object is `JaxbHibernateMapping.JaxbClass.JaxbNaturalId`

### setNaturalId

    public void setNaturalId(JaxbHibernateMapping.JaxbClass.JaxbNaturalId value)

  Sets the value of the naturalId property.

  Parameters:
    `value` - allowed object is `JaxbHibernateMapping.JaxbClass.JaxbNaturalId`

### getVersion

    public JaxbHibernateMapping.JaxbClass.JaxbVersion getVersion()

  Gets the value of the version property.

  Returns:
    possible object is `JaxbHibernateMapping.JaxbClass.JaxbVersion`

### setVersion

    public void setVersion(JaxbHibernateMapping.JaxbClass.JaxbVersion value)

  Sets the value of the version property.

  Parameters:
    `value` - allowed object is `JaxbHibernateMapping.JaxbClass.JaxbVersion`

### getTimestamp

    public JaxbHibernateMapping.JaxbClass.JaxbTimestamp getTimestamp()

  Gets the value of the timestamp property.

  Returns:
    possible object is `JaxbHibernateMapping.JaxbClass.JaxbTimestamp`

### setTimestamp

    public void setTimestamp(JaxbHibernateMapping.JaxbClass.JaxbTimestamp value)

  Sets the value of the timestamp property.

  Parameters:
    `value` - allowed object is `JaxbHibernateMapping.JaxbClass.JaxbTimestamp`

### getPropertyOrManyToOneOrOneToOne

    public List<Object> getPropertyOrManyToOneOrOneToOne()

  Gets the value of the propertyOrManyToOneOrOneToOne property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the propertyOrManyToOneOrOneToOne property.

  For example, to add a new item, do as follows:

          getPropertyOrManyToOneOrOneToOne().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbAnyElement` `JaxbPropertiesElement` `JaxbPropertyElement` `JaxbPrimitiveArrayElement` `JaxbBagElement` `JaxbDynamicComponentElement` `JaxbSetElement` `JaxbListElement` `JaxbArrayElement` `JaxbManyToOneElement` `JaxbMapElement` `JaxbOneToOneElement` `JaxbComponentElement` `JaxbIdbagElement`

  Specified by:
    `getPropertyOrManyToOneOrOneToOne` in interface `EntityElement`

### getJoin

    public List<JaxbJoinElement> getJoin()

  Gets the value of the join property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the join property.

  For example, to add a new item, do as follows:

          getJoin().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbJoinElement`

  Specified by:
    `getJoin` in interface `JoinElementSource`

### getSubclass

    public List<JaxbSubclassElement> getSubclass()

  Gets the value of the subclass property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the subclass property.

  For example, to add a new item, do as follows:

          getSubclass().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbSubclassElement`

### getJoinedSubclass

    public List<JaxbJoinedSubclassElement> getJoinedSubclass()

  Gets the value of the joinedSubclass property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the joinedSubclass property.

  For example, to add a new item, do as follows:

          getJoinedSubclass().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbJoinedSubclassElement`

### getUnionSubclass

    public List<JaxbUnionSubclassElement> getUnionSubclass()

  Gets the value of the unionSubclass property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the unionSubclass property.

  For example, to add a new item, do as follows:

          getUnionSubclass().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbUnionSubclassElement`

### getLoader

    public JaxbLoaderElement getLoader()

  Gets the value of the loader property.

  Specified by:
    `getLoader` in interface `EntityElement`
  Returns:
    possible object is `JaxbLoaderElement`

### setLoader

    public void setLoader(JaxbLoaderElement value)

  Sets the value of the loader property.

  Parameters:
    `value` - allowed object is `JaxbLoaderElement`

### getSqlInsert

    public JaxbSqlInsertElement getSqlInsert()

  Gets the value of the sqlInsert property.

  Specified by:
    `getSqlInsert` in interface `EntityElement`
  Returns:
    possible object is `JaxbSqlInsertElement`

### setSqlInsert

    public void setSqlInsert(JaxbSqlInsertElement value)

  Sets the value of the sqlInsert property.

  Parameters:
    `value` - allowed object is `JaxbSqlInsertElement`

### getSqlUpdate

    public JaxbSqlUpdateElement getSqlUpdate()

  Gets the value of the sqlUpdate property.

  Specified by:
    `getSqlUpdate` in interface `EntityElement`
  Returns:
    possible object is `JaxbSqlUpdateElement`

### setSqlUpdate

    public void setSqlUpdate(JaxbSqlUpdateElement value)

  Sets the value of the sqlUpdate property.

  Parameters:
    `value` - allowed object is `JaxbSqlUpdateElement`

### getSqlDelete

    public JaxbSqlDeleteElement getSqlDelete()

  Gets the value of the sqlDelete property.

  Specified by:
    `getSqlDelete` in interface `EntityElement`
  Returns:
    possible object is `JaxbSqlDeleteElement`

### setSqlDelete

    public void setSqlDelete(JaxbSqlDeleteElement value)

  Sets the value of the sqlDelete property.

  Parameters:
    `value` - allowed object is `JaxbSqlDeleteElement`

### getFilter

    public List<JaxbFilterElement> getFilter()

  Gets the value of the filter property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the filter property.

  For example, to add a new item, do as follows:

          getFilter().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbFilterElement`

### getFetchProfile

    public List<JaxbFetchProfileElement> getFetchProfile()

  Gets the value of the fetchProfile property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fetchProfile property.

  For example, to add a new item, do as follows:

          getFetchProfile().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbFetchProfileElement`

  Specified by:
    `getFetchProfile` in interface `EntityElement`

### getResultset

    public List<JaxbResultsetElement> getResultset()

  Gets the value of the resultset property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the resultset property.

  For example, to add a new item, do as follows:

          getResultset().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbResultsetElement`

  Specified by:
    `getResultset` in interface `EntityElement`

### getQueryOrSqlQuery

    public List<Object> getQueryOrSqlQuery()

  Gets the value of the queryOrSqlQuery property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the queryOrSqlQuery property.

  For example, to add a new item, do as follows:

          getQueryOrSqlQuery().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbSqlQueryElement` `JaxbQueryElement`

  Specified by:
    `getQueryOrSqlQuery` in interface `EntityElement`

### isAbstract

    public Boolean isAbstract()

  Gets the value of the abstract property.

  Specified by:
    `isAbstract` in interface `EntityElement`
  Returns:
    possible object is `Boolean`

### setAbstract

    public void setAbstract(Boolean value)

  Sets the value of the abstract property.

  Parameters:
    `value` - allowed object is `Boolean`

### getBatchSize

    public String getBatchSize()

  Gets the value of the batchSize property.

  Specified by:
    `getBatchSize` in interface `EntityElement`
  Returns:
    possible object is `String`

### setBatchSize

    public void setBatchSize(String value)

  Sets the value of the batchSize property.

  Parameters:
    `value` - allowed object is `String`

### getCatalog

    public String getCatalog()

  Gets the value of the catalog property.

  Returns:
    possible object is `String`

### setCatalog

    public void setCatalog(String value)

  Sets the value of the catalog property.

  Parameters:
    `value` - allowed object is `String`

### getCheck

    public String getCheck()

  Gets the value of the check property.

  Returns:
    possible object is `String`

### setCheck

    public void setCheck(String value)

  Sets the value of the check property.

  Parameters:
    `value` - allowed object is `String`

### getDiscriminatorValue

    public String getDiscriminatorValue()

  Gets the value of the discriminatorValue property.

  Returns:
    possible object is `String`

### setDiscriminatorValue

    public void setDiscriminatorValue(String value)

  Sets the value of the discriminatorValue property.

  Parameters:
    `value` - allowed object is `String`

### isDynamicInsert

    public boolean isDynamicInsert()

  Gets the value of the dynamicInsert property.

  Specified by:
    `isDynamicInsert` in interface `EntityElement`
  Returns:
    possible object is `Boolean`

### setDynamicInsert

    public void setDynamicInsert(Boolean value)

  Sets the value of the dynamicInsert property.

  Parameters:
    `value` - allowed object is `Boolean`

### isDynamicUpdate

    public boolean isDynamicUpdate()

  Gets the value of the dynamicUpdate property.

  Specified by:
    `isDynamicUpdate` in interface `EntityElement`
  Returns:
    possible object is `Boolean`

### setDynamicUpdate

    public void setDynamicUpdate(Boolean value)

  Sets the value of the dynamicUpdate property.

  Parameters:
    `value` - allowed object is `Boolean`

### getEntityName

    public String getEntityName()

  Gets the value of the entityName property.

  Specified by:
    `getEntityName` in interface `EntityElement`
  Returns:
    possible object is `String`

### setEntityName

    public void setEntityName(String value)

  Sets the value of the entityName property.

  Parameters:
    `value` - allowed object is `String`

### isLazy

    public Boolean isLazy()

  Gets the value of the lazy property.

  Specified by:
    `isLazy` in interface `EntityElement`
  Returns:
    possible object is `Boolean`

### setLazy

    public void setLazy(Boolean value)

  Sets the value of the lazy property.

  Parameters:
    `value` - allowed object is `Boolean`

### isMutable

    public boolean isMutable()

  Gets the value of the mutable property.

  Returns:
    possible object is `Boolean`

### setMutable

    public void setMutable(Boolean value)

  Sets the value of the mutable property.

  Parameters:
    `value` - allowed object is `Boolean`

### getName

    public String getName()

  Gets the value of the name property.

  Specified by:
    `getName` in interface `EntityElement`
  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

### getOptimisticLock

    public String getOptimisticLock()

  Gets the value of the optimisticLock property.

  Returns:
    possible object is `String`

### setOptimisticLock

    public void setOptimisticLock(String value)

  Sets the value of the optimisticLock property.

  Parameters:
    `value` - allowed object is `String`

### getPersister

    public String getPersister()

  Gets the value of the persister property.

  Specified by:
    `getPersister` in interface `EntityElement`
  Returns:
    possible object is `String`

### setPersister

    public void setPersister(String value)

  Sets the value of the persister property.

  Parameters:
    `value` - allowed object is `String`

### getPolymorphism

    public String getPolymorphism()

  Gets the value of the polymorphism property.

  Returns:
    possible object is `String`

### setPolymorphism

    public void setPolymorphism(String value)

  Sets the value of the polymorphism property.

  Parameters:
    `value` - allowed object is `String`

### getProxy

    public String getProxy()

  Gets the value of the proxy property.

  Specified by:
    `getProxy` in interface `EntityElement`
  Returns:
    possible object is `String`

### setProxy

    public void setProxy(String value)

  Sets the value of the proxy property.

  Parameters:
    `value` - allowed object is `String`

### getRowid

    public String getRowid()

  Gets the value of the rowid property.

  Returns:
    possible object is `String`

### setRowid

    public void setRowid(String value)

  Sets the value of the rowid property.

  Parameters:
    `value` - allowed object is `String`

### getSchema

    public String getSchema()

  Gets the value of the schema property.

  Returns:
    possible object is `String`

### setSchema

    public void setSchema(String value)

  Sets the value of the schema property.

  Parameters:
    `value` - allowed object is `String`

### isSelectBeforeUpdate

    public boolean isSelectBeforeUpdate()

  Gets the value of the selectBeforeUpdate property.

  Specified by:
    `isSelectBeforeUpdate` in interface `EntityElement`
  Returns:
    possible object is `Boolean`

### setSelectBeforeUpdate

    public void setSelectBeforeUpdate(Boolean value)

  Sets the value of the selectBeforeUpdate property.

  Parameters:
    `value` - allowed object is `Boolean`

### getSubselectAttribute

    public String getSubselectAttribute()

  Gets the value of the subselectAttribute property.

  Returns:
    possible object is `String`

### setSubselectAttribute

    public void setSubselectAttribute(String value)

  Sets the value of the subselectAttribute property.

  Parameters:
    `value` - allowed object is `String`

### getTable

    public String getTable()

  Gets the value of the table property.

  Returns:
    possible object is `String`

### setTable

    public void setTable(String value)

  Sets the value of the table property.

  Parameters:
    `value` - allowed object is `String`

### getWhere

    public String getWhere()

  Gets the value of the where property.

  Returns:
    possible object is `String`

### setWhere

    public void setWhere(String value)

  Sets the value of the where property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.